from django.contrib import admin
from django.contrib.auth import get_user_model
from django.contrib.auth.admin import UserAdmin
from .models import *

from .forms import ExplorerCreationForm, ExplorerChangeForm
from .models import Explorer

# Register your models here.

class ExplorerAdmin(UserAdmin):
    add_form = ExplorerCreationForm
    form = ExplorerChangeForm
    model = Explorer
    list_display = ['email', 'username',]

admin.site.register(Explorer, ExplorerAdmin)
admin.site.register(Place)
admin.site.register(PlaceImage)